Bug 1576283 (CVE-2018-5183) - CVE-2018-5183 Mozilla: Backport critical security fixes in Skia
Summary: CVE-2018-5183 Mozilla: Backport critical security fixes in Skia
Status: CLOSED ERRATA
Alias: CVE-2018-5183
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180509,repor...
Keywords: Security
Depends On: 1573377 1573378 1573379 1573380 1578628 1578629 1578630 1578631 1578632 1580262
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:16 UTC by Doran Moppert
Modified: 2019-06-10 10:22 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:22:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1414 None None None 2018-05-14 14:40 UTC
Red Hat Product Errata RHSA-2018:1415 None None None 2018-05-14 15:14 UTC
Red Hat Product Errata RHSA-2018:1725 None None None 2018-05-24 19:26 UTC
Red Hat Product Errata RHSA-2018:1726 None None None 2018-05-24 19:56 UTC

Description Doran Moppert 2018-05-09 07:16:59 UTC
Mozilla developers backported selected changes in the Skia library to the ESR52 branch of Firefox. These changes correct memory corruption issues including invalid buffer reads and writes during graphic operations.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-12/#CVE-2018-5183

Comment 1 Doran Moppert 2018-05-09 07:17:03 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Mozilla Developers

Comment 2 errata-xmlrpc 2018-05-14 14:40:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1414 https://access.redhat.com/errata/RHSA-2018:1414

Comment 3 errata-xmlrpc 2018-05-14 15:14:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1415 https://access.redhat.com/errata/RHSA-2018:1415

Comment 7 errata-xmlrpc 2018-05-24 19:26:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1725 https://access.redhat.com/errata/RHSA-2018:1725

Comment 8 errata-xmlrpc 2018-05-24 19:56:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1726 https://access.redhat.com/errata/RHSA-2018:1726


Note You need to log in before you can comment on or make changes to this bug.